AttributeError: 'Upload' object has no attribute 'path' in status/aggregator.py upload_started/finished

Bug #1061490 reported by Roman Yepishev on 2012-10-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Status tracked in Trunk
Stable-4-0
Undecided
Unassigned
Stable-4-2
Undecided
Unassigned
Trunk
High
Roberto Alsina
ubuntuone-client (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned

Bug Description

ubuntuone-client 4.1+r1330-69~quantal1

Put a file into Ubuntu One directory.
Observe the following in the logs:

2012-10-04 12:30:24,000 - ubuntuone.SyncDaemon.EQ - ERROR - Error encountered while handling: SYS_QUEUE_ADDED in <ubuntuone.syncdaemon.status_listener.StatusListener object at 0x7fc26589e610>
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/syncdaemon/event_queue.py", line 324, in _dispatch
    method(**kwargs)
  File "/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/syncdaemon/status_listener.py", line 120, in handle_SYS_QUEUE_ADDED
    self.status_frontend.upload_started(command)
  File "/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/status/aggregator.py", line 858, in upload_started
    self.aggregator.upload_started(command)
  File "/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/status/aggregator.py", line 764, in upload_started
    self.files_uploading[0].path)
AttributeError: 'Upload' object has no attribute 'path'

2012-10-04 12:30:24,548 - ubuntuone.SyncDaemon.EQ - ERROR - Error encountered while handling: SYS_QUEUE_REMOVED in <ubuntuone.syncdaemon.status_listener.StatusListener object at 0x7fc26589e610>
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/syncdaemon/event_queue.py", line 324, in _dispatch
    method(**kwargs)
  File "/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/syncdaemon/status_listener.py", line 127, in handle_SYS_QUEUE_REMOVED
    self.status_frontend.upload_finished(command)
  File "/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/status/aggregator.py", line 862, in upload_finished
    self.aggregator.upload_finished(command)
  File "/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/status/aggregator.py", line 780, in upload_finished
    self.recent_transfers.append(command.path)
AttributeError: 'Upload' object has no attribute 'path'

Related branches

Roman Yepishev (rye) on 2012-10-04
Changed in ubuntuone-client:
assignee: nobody → Ubuntu One Desktop+ team (ubuntuone-desktop+)
importance: Undecided → High
status: New → Confirmed
Changed in ubuntuone-client:
status: Confirmed → Fix Committed
dobey (dobey) on 2012-12-11
Changed in ubuntuone-client (Ubuntu Quantal):
status: New → Triaged
Changed in ubuntuone-client (Ubuntu Raring):
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 4.1.0-0ubuntu1

---------------
ubuntuone-client (4.1.0-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Trap DBusException on ubuntuone-login startup. (LP: #711324)
    - Remove messaging menu integration. (LP: #820345)
    - Avoid KeyError during an Upload. (LP: #988534)
    - Ignore .lock files from synchronization. (LP: #1042268)
    - Avoid duplicate state tracking for sync menu. (LP: #1053631)
    - Add a separator between recent and current transfers. (LP: #1054259)
    - Search and filtering API for shares tab in control panel. (LP: #1056197)
    - Ensure Upload/Download objects have path attribute. (LP: #1061490)
    - Use correct file size for percentages in sync menu. (LP: #1062729)
    - Open shares tab from sync menu. (LP: #1063786)
    - Open the Ubuntu One folder from sync menu. (LP: #1063788)
    - Use correct glib method to launch control panel. (LP: #1065272)
    - Always use GI bindings in launch and login scripts. (LP: #1066943)
    - Show active downloads in transfers menu as well. (LP: #1067806)
    - Avoid duplicates in transfers menu. (LP: #1069953)
    - Do case-insenstive fuzzy filename matching. (LP: #1073664)
  * debian/watch:
    - Update to use stable-4-2 series for Ubuntu 13.04 releases.
 -- Rodney Dawes <email address hidden> Tue, 11 Dec 2012 17:05:43 -0500

Changed in ubuntuone-client (Ubuntu Raring):
status: Triaged → Fix Released
Adolfo Jayme (fitojb) on 2014-05-04
Changed in ubuntuone-client (Ubuntu Quantal):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers